This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1317178 - Review Request: tcllauncher - launcher for Tcl applications
Review Request: tcllauncher - launcher for Tcl applications
Status: POST
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Zbigniew Jędrzejewski-Szmek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-12 14:31 EST by Benji Wiebe
Modified: 2017-01-11 20:40 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
zbyszek: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Benji Wiebe 2016-03-12 14:31:13 EST
Spec URL: https://www.benjiwiebe.com/packages/tcllauncher.spec
SRPM URL: https://www.benjiwiebe.com/packages/tcllauncher-1.6-1.fc23.src.rpm
Description: tcllauncher is a launcher for Tcl applications. It will be a dependency of piaware.
Fedora Account System Username: BenjiWiebe
Comment 1 Benji Wiebe 2016-03-14 18:58:04 EDT
BTW here is a successful Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=13346899

Also I have it in a COPR project: benjiwiebe/piaware

I'm planning to submit dump1090 and piaware packages soon, and tcllauncher is a dependency of piaware. Should I submit the other packages now also, or wait for tcllauncher to be approved?
Comment 2 Zbigniew Jędrzejewski-Szmek 2016-03-16 23:26:11 EDT
(In reply to Benji Wiebe from comment #1)
> Should I submit the other packages now also, or
> wait for tcllauncher to be approved?
Submit now. Add dependencies to 'Blocks' field.

OK, my usual complaint: after reading Summary and %description, I haven't the least idea what this package does. Why would tcl programs require a special launcher?

make ... → %make_build

%license license.terms

%{_mandir}/mann/tcllauncher.n.gz → %{_mandir}/mann/tcllauncher.n.*
(in case compression changes)
Comment 3 Benji Wiebe 2016-03-17 12:28:18 EDT
OK, I fixed those issues you mentioned. As for the Summary, I'm not sure if the new wording is better or not. From what I understand, Tcl programs are not compiled, and not a single file. So the files are copied to /usr/share/tcl8.6 (for noarch) or /usr/lib64/tcl8.6. Tcllauncher provides a way to run /usr/bin/foo and /usr/lib64/tcl8.6/foo/main.tcl gets called.
Comment 4 Zbigniew Jędrzejewski-Szmek 2016-03-20 12:40:41 EDT
SRPM link gives 404 ;( (I guessed the right link based on the spec file, but in the feature please check that links work...)

%description should be word-wrapped to 80 columns.

+ license is acceptable (TCL)
+ license file is present, %license is used
+ latest version
+ provides/requires look OK
+ no scriptlets present or necessary

tcllauncher.i686: W: spurious-executable-perm /usr/share/doc/tcllauncher/README
tcllauncher.i686: E: script-without-shebang /usr/share/licenses/tcllauncher/license.terms
tcllauncher.i686: W: spurious-executable-perm /usr/share/doc/tcllauncher/ChangeLog

Those are all caused by spurious +x mode.

tcllauncher.src: W: file-size-mismatch tcllauncher-1.6.tar.gz = 131635, https://github.com/flightaware/piaware/archive/v2.1-5.tar.gz#/tcllauncher-1.6.tar.gz = 47273

Please figure out what is going on here.

"Provides a way to " — you can remove this part from the Summary without any loss of meaning.
Comment 5 Benji Wiebe 2016-03-26 18:13:51 EDT
New SRPM: https://www.benjiwiebe.com/packages/tcllauncher-1.6-3.fc23.src.rpm
New SPEC: https://www.benjiwiebe.com/packages/tcllauncher.spec

I word-wrapped the description and clarified it a bit, and shortened the summary.
I also fixed the file-size-mismatch, the Source URL (it pointed to piaware package on github, not tcllauncher!!), and fixed the executable bits on the non-executable files.
Comment 6 Zbigniew Jędrzejewski-Szmek 2016-03-27 10:06:41 EDT
Package is APPROVED.
Comment 7 Mike McCune 2016-03-28 19:47:57 EDT
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune@redhat.com with any questions

Note You need to log in before you can comment on or make changes to this bug.